Skip to main content
`Ctrl`+`K`

# EPSValuesView

Displays the computed eigenvalues in a viewer.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSValuesView(EPS eps,PetscViewer viewer)

Collective

## Input Parameters

- eps - the linear eigensolver context

- viewer - the viewer

## Options Database Key

- -eps_view_values - print computed eigenvalues

## Note

The command-line option listed above admits an optional argument specifying the viewer type and options. For instance, use `-eps_view_values :evals.m:ascii_matlab` to save the values in a file that can be executed in Matlab. See `PetscObjectViewFromOptions()` for more details.

## See Also

EPS: Eigenvalue Problem Solver, `EPSSolve()`, `EPSVectorsView()`, `EPSErrorView()`

## Level

intermediate

## Location

src/eps/interface/epsview.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages